<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		

		window.addEventListener("load", function(){	

			document.querySelector("#boton").addEventListener("click", function() {
				let n1=0;
				let n2=0;
				let suma;

				n1=document.querySelector("#inumero1");
				n2=document.querySelector("#inumero2");

			  	suma=Number(n1.value)+Number(n2.value);
			  	window.alert(suma);

			});			

		})
		
		
	</script>
</head>
<body>
	<form>
		<label for="inumero1">
		Introduce un numero	
		</label>
		<input type="number" name="numero1" id="inumero1"> <!-- name es para php -->
		<label for="inumero2">
		Introduce un numero
		</label>
		<input type="number" name="numero2" id="inumero2">
		<button type="button "id="boton">Sumar</button> <!-- button para javascript, submit para php -->

	</form>
</body>
</html>